#include <bits/stdc++.h>

using namespace std;

fstream in, out, ans;

void stop(int code, int points, string info) {
	cout << points << endl;
	cout << info << endl;
	in.close();
	out.close();
	ans.close();
	exit(code);
}

bool isNum(char c) {
	return ('0' <= c && c <= '9');
}

bool isNum(string s) {
	if (s.size() == 0)
		return false;
	if (s.size() != 1 && s[0] == '0')
		return false;
	for (int i = 0; i < s.size(); ++i) {
		if (!isNum(s[i]))
			return false;
	}
	return true;
}

int main(int argc, char *argv[]) {
	in.open(argv[1]);
	out.open(argv[2]);
	ans.open(argv[3]);

	int n;
	in >> n;

	int points = 0;
	string info = "";
	for (int i = 0; i < n; ++i) {
		int p;
		string o, a;
		in >> p;
		out >> o;
		ans >> a;
		if (o == "")
			break;
		if (!isNum(o))
			stop(2, points, "Bad answer: " + o);
		if (o == a) {
			points += p;
			info += "+";
		} else {
			info += "-";
		}
	}
	if (points == 0)
		stop(1, points, info);
	else
		stop(0, points, info);
	return 0;
}
